package com.hfkj.sysenum;

/**
 * 账户类型
 * @className: SecUserObjectTypeEnum
 * @author: HuRui
 * @date: 2024/4/23
 **/
public enum SecUserObjectTypeEnum {
    /**
     * 系统账户
     */
    type1(1, "系统账户"),
    /**
     * 商户
     */
    type2(2, "商户"),
    /**
     * 商户员工
     */
    type3(3, "商户员工"),
    /**
     * 代理商
     */
    type4(4, "代理商"),
    /**
     * 业务员
     */
    type5(5, "业务员"),
    /**
     * 商户连锁
     */
    type6(6, "商户连锁"),
    ;

    private int code;

    private String name;


    SecUserObjectTypeEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
